Package commoble.bagofyurting

# Class BagOfYurtingMod

java.lang.Object
commoble.bagofyurting.BagOfYurtingMod

public class BagOfYurtingMod extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`net.minecraftforge.fmllegacy.RegistryObject<BagOfYurtingItem>`
`bagOfYurtingItem`
`static net.minecraftforge.fmllegacy.network.simple.SimpleChannel`
`CHANNEL`
`static BagOfYurtingMod`
`INSTANCE`
`static String`
`MODID`
`static String`
`PROTOCOL_VERSION`
`net.minecraftforge.fmllegacy.RegistryObject<net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapedRecipe>>`
`shapedUpgradeRecipeSerializer`
`net.minecraftforge.fmllegacy.RegistryObject<net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>>`
`shapelessUpgradeRecipeSerializer`

## Constructor Summary

Constructors
Constructor
Description
`BagOfYurtingMod()`
One instance of this class is created by forge when mods are loaded

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODID

public static final String MODID

See Also:
  Constant Field Values

### INSTANCE

public static BagOfYurtingMod INSTANCE

### PROTOCOL_VERSION

public static final String PROTOCOL_VERSION

See Also:
  Constant Field Values

### CHANNEL

public static final net.minecraftforge.fmllegacy.network.simple.SimpleChannel CHANNEL

### bagOfYurtingItem

public final net.minecraftforge.fmllegacy.RegistryObject<BagOfYurtingItem> bagOfYurtingItem

### shapedUpgradeRecipeSerializer

public final net.minecraftforge.fmllegacy.RegistryObject<net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapedRecipe>> shapedUpgradeRecipeSerializer

### shapelessUpgradeRecipeSerializer

public final net.minecraftforge.fmllegacy.RegistryObject<net.minecraft.world.item.crafting.RecipeSerializer<net.minecraft.world.item.crafting.ShapelessRecipe>> shapelessUpgradeRecipeSerializer

## Constructor Details

### BagOfYurtingMod

public BagOfYurtingMod()
One instance of this class is created by forge when mods are loaded